#include "DropSource.h"
//#include "_Constants.h"

extern UINT g_cRefS		= 0;
extern UINT g_cWndCountS= 0;

HRESULT STDMETHODCALLTYPE 
IDropSourceShare::QueryInterface(REFIID riid, LPVOID FAR *ppvObject)
{
	HRESULT hr = S_OK;

	*ppvObject = 0;
	if(IsEqualIID(riid, IID_IDropSource) || IsEqualIID(riid, IID_IUnknown))
		*ppvObject = this;

	if(*ppvObject != 0)
	{
		((LPUNKNOWN)*ppvObject)->AddRef();
		hr = NOERROR;
	}
	else
		hr = E_NOINTERFACE;
	return hr;
}

ULONG STDMETHODCALLTYPE 
IDropSourceShare::AddRef()
{
	g_cRefS++;
	return g_cRefS;
}

ULONG STDMETHODCALLTYPE 
IDropSourceShare::Release()
{
	g_cRefS--;
	return g_cRefS;
}

HRESULT STDMETHODCALLTYPE 
IDropSourceShare::QueryContinueDrag(BOOL fEscapePressed, DWORD grfKeyState)
{
	if(fEscapePressed)
		return /*ResultFromScode(*/DRAGDROP_S_CANCEL/*)*/;
	if(!(grfKeyState & MK_LBUTTON))
		return /*ResultFromScode(*/DRAGDROP_S_DROP/*)*/;

	return NOERROR;    
}

HRESULT STDMETHODCALLTYPE 
IDropSourceShare::GiveFeedback(DWORD dwEffect)
{
	_UNREFERENCED_PARAMETER_(dwEffect);

	return DRAGDROP_S_USEDEFAULTCURSORS;
}

