#ifndef __ShareStructures_Defined__
#define __ShareStructures_Defined__

	#include "StdAfx.h"
	#include <lm.h>					//	Networking

	/* sharing information */
	typedef struct _tagSHAREINFO
	{
		HWND  hwndDlg;
		HWND  hwndTV;
		UINT     uThreadId;
		HANDLE	 hCancelEvent;
		HANDLE	 hCloseEvent;
		DWORD   dwUnused;
		TCHAR lpszMachineName[_MAX_PATH + 1];
	} SHAREINFO, *LPSHAREINFO;

	typedef struct _tagTREESHARENODEINFO
	{
		DWORD   cbSize;
		DWORD   dwConnId;
		DWORD   dwConnType;
		DWORD   dwConnNumOpens;
		DWORD   dwConnNumUsers;
		DWORD   dwConnTime;
		WCHAR lpszUserName[UNCLEN + 1];
		WCHAR lpszNetName[UNCLEN + 1];
	} TREESHARENODEINFO, *LPTREESHARENODEINFO;

	//	sharing
	typedef NET_API_STATUS (NET_API_FUNCTION *NETSHAREENUMPROC)(LPWSTR, DWORD, LPBYTE*, DWORD, LPDWORD, LPDWORD, LPDWORD);
	typedef NET_API_STATUS (NET_API_FUNCTION *NETSHAREGETINFOPROC)(LPWSTR, LPWSTR, DWORD, LPBYTE*);
	typedef NET_API_STATUS (NET_API_FUNCTION *NETSERVERGETINFOPROC)(LPWSTR, DWORD, LPBYTE*);
	typedef NET_API_STATUS (NET_API_FUNCTION *NETFILEGETINFOPROC)(LPWSTR, DWORD, DWORD, LPBYTE *);
	typedef NET_API_STATUS (NET_API_FUNCTION *NETCONNECTIONENUMPROC)(LPWSTR, LPWSTR, DWORD, LPBYTE*, DWORD, LPDWORD, LPDWORD, LPDWORD);
	typedef NET_API_STATUS (NET_API_FUNCTION *NETAPIBUFFERFREEPROC)(LPVOID);
	typedef NET_API_STATUS (NET_API_FUNCTION *NETFILEENUMPROC)(LPWSTR, LPWSTR, LPWSTR, DWORD, LPBYTE*, DWORD, LPDWORD, LPDWORD, LPDWORD);
	typedef NET_API_STATUS (NET_API_FUNCTION *LPFNNETSHAREADD)(LPWSTR, DWORD, LPBYTE, LPDWORD);
	typedef NET_API_STATUS (NET_API_FUNCTION *LPFNNETSHAREDEL)(LPWSTR, LPWSTR, DWORD);
#endif
