#include "StdAfx.h"
#include "Utils.h"

int 
WideCharToLocal(LPTSTR pLocal, LPWSTR pWide, DWORD dwChars)
{
	*pLocal = 0;

	#ifdef UNICODE
		lstrcpyn(pLocal, pWide, dwChars);
	#else
		WideCharToMultiByte(CP_ACP, 0, pWide, -1, pLocal, dwChars, 0, 0);
	#endif

	return lstrlen(pLocal);
}

int 
LocalToWideChar(LPWSTR pWide, LPTSTR pLocal, DWORD dwChars)
{
	*pWide = 0;

	#ifdef UNICODE
		lstrcpyn(pWide, pLocal, dwChars);
	#else
		MultiByteToWideChar(CP_ACP, 0, pLocal, -1, pWide, dwChars); 
	#endif

	return lstrlenW(pWide);
}

LPWSTR 
hf_mbtowc(LPWSTR lpw, LPCSTR lpa, int nChars)
{
	lpw[0] = '\0';
	MultiByteToWideChar(CP_ACP, 0, (LPCSTR)lpa, -1, lpw, nChars);
	return lpw;
}

LPSTR 
hf_wctomb(LPSTR lpa, LPCWSTR lpw, int nChars)
{
	lpa[0] = '\0';
	WideCharToMultiByte(CP_ACP, 0, (LPCWSTR)lpw, -1, lpa, nChars, NULL, NULL);
	return lpa;
}
